SimpleModelInState (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.SimpleModelInState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class SimpleModelInState

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.symbol.AbstractSymbol
              org.biojava.bio.symbol.FundamentalAtomicSymbol
                  org.biojava.bio.dp.SimpleModelInState

All Implemented Interfaces:
  Serializable, Annotatable, ModelInState, State, AtomicSymbol, BasisSymbol, Symbol, Changeable

    public class SimpleModelInState

extends FundamentalAtomicSymbol
implements ModelInState

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from class org.biojava.bio.symbol.AbstractSymbol
`annotationForwarder`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SimpleModelInState(MarkovModel model, String name)`

Method Summary
`MarkovModel` | `getModel()` The model that is inside this state.

Methods inherited from class org.biojava.bio.symbol.FundamentalAtomicSymbol
`getAnnotation, getMatches, getName, getSymbols`

Methods inherited from class org.biojava.bio.symbol.AbstractSymbol
`getChangeSupport, toString`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.symbol.BasisSymbol
`getSymbols`

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getMatches, getName`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleModelInState

    public SimpleModelInState(MarkovModel model,
                              String name)

Method Detail

### getModel

    public MarkovModel getModel()

  Description copied from interface: `ModelInState`
  The model that is inside this state.

  Specified by:
    `getModel` in interface `ModelInState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD